Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2220146

Summary: F39FailsToInstall: python3-celery
Product: [Fedora] Fedora Reporter: Fedora Fails To Install <fti-bugs>
Component: python-celeryAssignee: Aurelien Bompard <aurelien>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: aurelien, code, fzatlouk, mrunge, ngompa13, pingou
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-celery-5.3.1-2.fc39 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-07-10 10:15:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2220300, 2220460    
Bug Blocks: 2168845, 2135404, 2219946, 2220039, 2220051, 2220056, 2220059, 2220379, 2220496    

Description Fedora Fails To Install 2023-07-05 19:09:03 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (python-celery) Fails To Install in Fedora 39:

can't install python3-celery:
  - nothing provides python(abi) = 3.11 needed by python3-celery-5.3.1-1.fc39.noarch
  - nothing provides (python3.11dist(billiard) < 5~~ with python3.11dist(billiard) >= 4.1) needed by python3-celery-5.3.1-1.fc39.noarch
  - nothing provides (python3.11dist(click) < 9~~ with python3.11dist(click) >= 8.1.2) needed by python3-celery-5.3.1-1.fc39.noarch
  - nothing provides (python3.11dist(vine) < 6~~ with python3.11dist(vine) >= 5) needed by python3-celery-5.3.1-1.fc39.noarch
  - nothing provides python3.11dist(click-didyoumean) >= 0.3 needed by python3-celery-5.3.1-1.fc39.noarch
  - nothing provides python3.11dist(click-plugins) >= 1.1.1 needed by python3-celery-5.3.1-1.fc39.noarch
  - nothing provides python3.11dist(click-repl) >= 0.2 needed by python3-celery-5.3.1-1.fc39.noarch
  - nothing provides python3.11dist(python-dateutil) >= 2.8.2 needed by python3-celery-5.3.1-1.fc39.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install python3-celery


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Beasley 2023-07-06 13:17:34 UTC
$ fedpkg mockbuild --enablerepo=local

Error: 
 Problem 1: cannot install the best candidate for the job
  - nothing provides python3.11dist(vine) needed by python3-kombu-1:5.3.1-1.fc39.noarch from fedora
  - nothing provides python(abi) = 3.11 needed by python3-kombu-1:5.3.1-1.fc39.noarch from fedora
  - nothing provides (python3.11dist(amqp) < 6~~ with python3.11dist(amqp) >= 5.1.1) needed by python3-kombu-1:5.3.1-1.fc39.noarch from fedora
 Problem 2: cannot install the best candidate for the job
  - nothing provides python(abi) = 3.11 needed by python3-pytest-subtests-0.10.0-1.fc39.noarch from fedora
  - nothing provides python3.11dist(attrs) >= 19.2 needed by python3-pytest-subtests-0.10.0-1.fc39.noarch from fedora
  - nothing provides python3.11dist(pytest) >= 7 needed by python3-pytest-subtests-0.10.0-1.fc39.noarch from fedora

So this is blocked by python-kombu and python-pytest-subtest.

Comment 2 Fedora Update System 2023-07-10 10:12:59 UTC
FEDORA-2023-0d82cfab0e has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-0d82cfab0e

Comment 3 Fedora Update System 2023-07-10 10:15:55 UTC
FEDORA-2023-0d82cfab0e has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.